
Redmine - Feature #19921

Issue priority with subtasks : not with closed issues

2015-05-22 13:09 - Jérôme BATAILLE

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate   

Description

The issue priority calculation is the max of the priorities of issue and it subtasks.

It should not take in account the closed subtasks.

Related issues:

Is duplicate of Redmine - Defect #5880: Only consider open subtasks when comp... Closed 2010-07-14

History

#1 - 2015-05-22 13:36 - Jérôme BATAILLE

Could be implemented like this :

priority_position = p.children.joins(:priority).includes(:status).where("#{IssueStatus.table_name}

.is_closed = 0").

maximum("#{IssuePriority.table_name}.position")

#2 - 2015-08-14 10:20 - Jérôme BATAILLE

Hi, can you review this feature that is pretty straightforward ?

#3 - 2016-01-11 08:49 - Go MAEDA

- Status changed from New to Closed

- Resolution set to Duplicate

Closing as a duplicate of #5880.

#4 - 2016-01-11 08:49 - Go MAEDA

- Is duplicate of Defect #5880: Only consider open subtasks when computing the priority of a parent issue added
